MediaWiki:Common.css

Aus smw-dev03
Wechseln zu:Navigation, Suche

Hinweis: Leere nach dem Veröffentlichen den Browser-Cache, um die Änderungen sehen zu können.

  • Firefox/Safari: Umschalttaste drücken und gleichzeitig Aktualisieren anklicken oder entweder Strg+F5 oder Strg+R (⌘+R auf dem Mac) drücken
  • Google Chrome: Umschalttaste+Strg+R (⌘+Umschalttaste+R auf dem Mac) drücken
  • Internet Explorer/Edge: Strg+F5 drücken oder Strg drücken und gleichzeitig Aktualisieren anklicken
  • Opera: Strg+F5
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

body {
  font-family: 'Roboto', sans-serif;
}

.checkboxcolumns {
 display: block !important;
 margin-left: 0em;
}


.checkbox-list {
  text-align: left !important;
  margin: 0 !important;
  padding: 0 !important;
}


.checkbox-list input[type="checkbox"] {
  margin: 0 !important;
  margin-right: 8px !important;
  padding: 0 !important;
  transform: scale(1.2);
  vertical-align: middle;
  display: inline-block;
}

.checkbox-list label {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 1em;
  color: #333;
  line-height: 1.6;
  display: inline !important;
  margin: 0 !important;
  padding: 0 !important;
  vertical-align: middle;
  white-space: normal; 
}

.checkbox-list div, .checkbox-list span {
  display: block !important; /* Each checkbox-label pair on a new line */
  margin: 0 !important;
  padding: 0 !important;
  text-align: left !important;
  white-space: nowrap; /* Prevent wrapping within the div */
}


.checkbox-container {
  margin: 0 !important;
  padding: 0 !important;
  text-align: left !important;
}


.btn-primary {
  background-color: #3498db;
  color: white;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}
.btn-primary:hover {
  background-color: #2980b9;
}